//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "fDef.h"
#include "fBase.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TfrmBase *frmBase;
//---------------------------------------------------------------------------
__fastcall TfrmBase::TfrmBase(TComponent* Owner): TForm(Owner)
{
   KeyPreview = true;
   Position = poScreenCenter;
   Caption = ClassName();
}
//---------------------------------------------------------------------------
void __fastcall TfrmBase::FormCreate(TObject *Sender)
{
   ActiveControl = Edit1;
}
//---------------------------------------------------------------------------
void __fastcall TfrmBase::Edit1Exit(TObject *Sender)
{
   int Index = StrToIntDef(Edit1->Text,0);
   if(Index<0||Index>9){
      ShowMessage("Index out of Bound!");
      Edit1->SetFocus();
   };
}
//---------------------------------------------------------------------------
void __fastcall TfrmBase::Button1Click(TObject *Sender)
{
   void *hWnd = ((TForm*)Owner)->Handle;
   int Index = StrToIntDef(Edit1->Text,0);
   PostMessage(hWnd,WM_TEST_FUNC,0,Index);
}
//---------------------------------------------------------------------------
void __fastcall TfrmBase::FormKeyDown(TObject *Sender, WORD &Key, TShiftState Shift)
{
   if(Key==VK_ESCAPE){
      void *hWnd = ((TForm*)Owner)->Handle;
      PostMessage(hWnd,WM_TEST_FUNC,-1,0);
   }
}
//---------------------------------------------------------------------------
void __fastcall TfrmBase::FormClose(TObject *Sender, TCloseAction &Action)
{
   Action = caFree;   
}
//---------------------------------------------------------------------------

