//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "fMain.h"
#include "fBase.h"
#include "fFunc.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TfrmMain *frmMain;
//---------------------------------------------------------------------------
__fastcall TfrmMain::TfrmMain(TComponent* Owner): TForm(Owner)
{
   L = new TStringList();
   ActiveFuncIndex = -1;
}
//---------------------------------------------------------------------------
void __fastcall TfrmMain::FormCreate(TObject *Sender)
{
   CREATE_MAIN_MENU_ITEMS();
}
//---------------------------------------------------------------------------
void __fastcall TfrmMain::FormDestroy(TObject *Sender)
{
   delete L;
}
//---------------------------------------------------------------------------
void __fastcall TfrmMain::SwitchToFuncForm(TObject *Sender)
{
   //wParam=0: New Func; (-1: W@)
   //lParam=Tag: FuncID
   PostMessage(Handle,WM_TEST_FUNC,0,((TMenuItem*)Sender)->Tag);
}
//---------------------------------------------------------------------------
void __fastcall TfrmMain::CREATE_MAIN_MENU_ITEMS()
{
   for(int i=0;i<10;i++){
      TMenuItem *mi = new TMenuItem(this);
      mi->Tag = i;
      mi->Caption = "FUNC_" + IntToStr(i);
      mi->OnClick = SwitchToFuncForm;
      miFunc->Add(mi);
   }
}
//---------------------------------------------------------------------------
MESSAGE void __fastcall TfrmMain::WMTestFunc(TMessage &message)
{
   int Action = message.WParam;
   int Index = message.LParam;
   if(FActiveFunc==NULL)ActiveFuncIndex = Index;
   else if(Action==-1)ActiveFuncIndex = Pop();//oW@Funcs
   else if(Index!=ActiveFuncIndex){
      Push(ActiveFuncIndex);
      ActiveFuncIndex = Index;
   }
}
//---------------------------------------------------------------------------
//dߤW@ActiveFuncIndex
int __fastcall TfrmMain::Peek()
{
   if(L->Count==0)return -1;
   return StrToIntDef(L->Strings[0],-1);
}
//---------------------------------------------------------------------------
//^W@ActiveFuncIndex
int __fastcall TfrmMain::Pop()
{
   int ret = -1;
   
   if(L->Count>0){
      ret = Peek();
      L->Delete(0);
   }

   ListBox1->Items->Text = L->Text;

   return ret;
}
//---------------------------------------------------------------------------
//xsثeActiveFuncIndex,ö}ҷss
void __fastcall TfrmMain::Push(int Value)
{
   L->Insert(0, IntToStr(Value));
   ListBox1->Items->Text = L->Text;
}
//---------------------------------------------------------------------------
void __fastcall TfrmMain::SetActiveFuncIndex(int Value)
{

   TfrmBase *newFunc=NULL;
   if(Value>-1&&Value<10){
      switch(Value){
         case 0: newFunc = new TfrmFunc0(this); break;
         case 1: newFunc = new TfrmFunc1(this); break;
         case 2: newFunc = new TfrmFunc2(this); break;
         case 3: newFunc = new TfrmFunc3(this); break;
         case 4: newFunc = new TfrmFunc4(this); break;
         case 5: newFunc = new TfrmFunc5(this); break;
         case 6: newFunc = new TfrmFunc6(this); break;
         case 7: newFunc = new TfrmFunc7(this); break;
         case 8: newFunc = new TfrmFunc8(this); break;
         case 9: newFunc = new TfrmFunc9(this); break;
      }
   }

   TfrmBase *t=FActiveFunc;
   try{
      FActiveFunc = newFunc;
      if(!FActiveFunc)FActiveFuncIndex = -1;
      else{
         FActiveFuncIndex = Value;
         FActiveFunc->Show();
      }
   }
   __finally{
      if(t!=NULL){
         t->Close();//TfrmBase wq Free On Close(Action=caFree)
      }
   }
}
//---------------------------------------------------------------------------
void __fastcall TfrmMain::miBackClick(TObject *Sender)
{
   if(L->Count>0)
      PostMessage(Handle,WM_TEST_FUNC,-1,0);
}
//---------------------------------------------------------------------------

